function init(hero) {
    hero.setName("Drax");
    hero.setTier(10);
    
	hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.torso");
    hero.setLeggings("item.superhero_armor.piece.legs");
    hero.setBoots("item.superhero_armor.piece.boots");
	hero.addEquipment("minecraft:iron_axe");
    
    hero.addPowers("pack:dagger", "fiskheroes:superhuman_durability", "fiskheroes:bullet_immunity",  "fiskheroes:explosion_immunity", "fiskheroes:fire_immunity", "fiskheroes:cold_resistance", "fiskheroes:cellular_regeneration");
    hero.addAttribute("WEAPON_DAMAGE", 25, 0);
    hero.addAttribute("PUNCH_DAMAGE", 29.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 100.0, 0);
	 hero.addAttribute("SPRINT_SPEED", 0.3, 1);   
    hero.addAttribute("JUMP_HEIGHT", 1.0, 1);
    
    hero.setDefaultScale(1.1);
	
hero.addKeyBind("BLADE", "Daggers", 2);
	
	
	hero.addAttributeProfile("BLADE", bladeProfile);
    hero.setAttributeProfile(getProfile);
    hero.setDamageProfile(getProfile);
    hero.addDamageProfile("BLADE", {"types": {"SHARP": 1.0}});

}


function bladeProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 32, 0);
}

function getProfile(entity) {
    return entity.getData("fiskheroes:blade") ? "BLADE" : null;
}

